# pn_vtep – CLI command to create/delete vtep

New in version 2.9.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- This module can be used to create a vtep and delete a vtep.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
pn_cliswitch string |  | Target switch to run the CLI on.
pn_ip string |  | Primary IP address.
pn_location string |  | switch name.
pn_name string |  | vtep name.

pn_switch_in_cluster
boolean

Choices:
- no
- yes ←

Tells whether switch in cluster or not.

pn_virtual_ip string |  | Virtual/Secondary IP address.
pn_vrouter_name string |  | name of the vrouter service.

state
string

Choices:
- present ←
- absent

vtep configuration command.

## Examples

    - name: create vtep
      pn_vtep:
        pn_cliswitch: 'sw01'
        pn_name: 'foo'
        pn_vrouter_name: 'foo-vrouter'
        pn_ip: '22.22.22.2'
        pn_location: 'sw01'
        pn_virtual_ip: "22.22.22.1"

    - name: delete vtep
      pn_vtep:
        pn_cliswitch: 'sw01'
        state: 'absent'
        pn_name: 'foo'

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | indicates whether the CLI caused changes on the target.
command string | always | the CLI command run on the target node.
stderr list | on error | set of error responses from the vtep command.
stdout list | always | set of responses from the vtep command.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Pluribus Networks (@rajaspachipulusu17)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.